You need to enable JavaScript to run this app.
Volcano Engine Function as a Service

Volcano Engine Function as a Service

Copy page
Download PDF
Function
AbortRelease
Copy page
Download PDF
AbortRelease
Cancel function release.​
Request description​
  • Request method: POST​
  • Request address: http://open.volcengineapi.com/?Action=AbortRelease&Version=2024-06-06​
Debugging​
API Explorer
You can initiate calls online through API Explorer without paying attention to the signature generation process and quickly obtain the call results.
​
Request parameter​
​
Parameter​
Type​
Required or Not​
Sample value​
Description​
Action​
String​
Yes​
AbortRelease​
Interface name. The current API is called AbortRelease.​
Version​
String​
Yes​
2024-06-06​
Interface version. The current version of the API is 2024-06-06.​
FunctionId​
String​
Yes​
nu******​
Function ID.​
Async​
Boolean​
No​
true​
Whether cancelling request adopts asynchronous mode.​
  • true: In asynchronous mode, the request will immediately return without waiting for the cancel request to complete.​
  • false (default): In synchronous mode, the request will wait until cancelling release succeeds or fails.​
​
Sample request​
​
POST http://open.volcengineapi.com/?Action=AbortRelease&Version=2024-06-06 HTTP/1.1​
Content-Type: application/json​
{​
"FunctionId": "nu******",​
"Async": true​
}​
​
Response parameter​
​
Parameter​
Type​
Sample value​
Description​
FunctionId​
String​
nw******​
Function ID.​
Status​
String​
done​
Function release status:​
  • pending: Never released​
  • inprogress: Releasing​
  • done: Released successfully​
  • failed: Release failed​
StatusMessage​
String​
Function release finished successfully​
Function release status details. This is a supplement to the release status.​
StableRevisionNumber​
Integer​
1​
The version number currently running stably online. Generated after the initial release is successful, and before the initial release (status == pending) StableRevisionNumber -1.​
NewRevisionNumber​
Integer​
1​
The version number of the new version being released. When the status is pending, no parameter will return. When the status is inprogress/failed/done, a parameter will return.​
OldRevisionNumber​
Integer​
1​
The version number of the old version. When the status is pending, no parameter will return. When the status is inprogress/failed/done, a parameter will return.​
StartTime​
String​
07:05:12, June 27, 2024​
The current release start time. When the status is pending, no parameter will return. When the status is inprogress/failed/done, a parameter will return.​
TargetTrafficWeight​
Integer​
100​
Target release traffic percentage. Valid value 0-100, representing the proportion of traffic of the version you want to release, and full release is 100.​
CurrentTrafficWeight​
Integer​
50​
The current released traffic percentage. Valid value 1-100, representing the proportion of traffic of the version currently being released, and only when the status is inprogress/failed, a parameter will return.​
ErrorCode​
String​
function_start_failed​
Error codes for release failures:​
  • function_start_failed: Function start failed​
  • function_start_timeout: Function start timeout​
  • function_health_check_failed: Function health check failed​
  • system_internal_error: System internal error​
FailedInstanceLogs​
String​
https://vefaas-sit.tos-s3-cn-boe.volces.com/release_failed_instance_logs/******​
The download link for instance logs of failed releases.​
ReleaseRecordId​
String​
xozo******​
Release record ID.​
​
Sample response​
​
HTTP/1.1 200 OK​
Content-Type: application/json​
{​
"ResponseMetadata": {​
"RequestId": "20230604110420****100232280022D31",​
"Action": "AbortRelease",​
"Version": "2024-06-06",​
"Service": "vefaas",​
"Region": "cn-beijing"​
},​
"Result": {​
"FunctionId": "nwwzoaq1",​
"Status": "done",​
"StatusMessage": "Function release finished successfully",​
"StableRevisionNumber": 1,​
"NewRevisionNumber": 1,​
"OldRevisionNumber": 1,​
"StartTime": "2024-06-27 07:05:12",​
"TargetTrafficWeight": 100,​
"CurrentTrafficWeight": 50,​
"ErrorCode": "function_start_failed",​
"FailedInstanceLogs": "https://vefaas-sit.tos-s3-cn-boe.volces.com/release_failed_instance_logs/******",​
"ReleaseRecordId": "xozo******"​
}​
}​
​
Error code​
The current interface temporarily has no independent error code. If the interface calls back abnormally, you can refer to the Public error code to troubleshoot.​
Last updated: 2025.06.30 11:37:44